Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.2.0.CR1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.optaplanner.core.impl.localsearch.decider.forager
Interface Forager

All Superinterfaces:
  EventListener, LocalSearchPhaseLifecycleListener, SolverLifecycleListener

All Known Implementing Classes:
  AbstractForager, AcceptedForager

    public interface Forager

extends LocalSearchPhaseLifecycleListener

A Forager collects the accepted moves and picks the next step from those for the Decider.

See Also:
  `AbstractForager`

Method Summary
`void` | `addMove(LocalSearchMoveScope moveScope)`
`boolean` | `isQuitEarly()`
`LocalSearchMoveScope` | `pickMove(LocalSearchStepScope stepScope)`
`boolean` | `supportsNeverEndingMoveSelector()`

Methods inherited from interface org.optaplanner.core.impl.localsearch.event.LocalSearchPhaseLifecycleListener
`phaseEnded, phaseStarted, stepEnded, stepStarted`

Methods inherited from interface org.optaplanner.core.impl.solver.event.SolverLifecycleListener
`solvingEnded, solvingStarted`

Method Detail

### supportsNeverEndingMoveSelector

    boolean supportsNeverEndingMoveSelector()

  Returns:
    true if it can be combined with a `Selector.isNeverEnding()` that returns true.

### addMove

    void addMove(LocalSearchMoveScope moveScope)

  Parameters:
    `moveScope` - never null

### isQuitEarly

    boolean isQuitEarly()

  Returns:
    true if no further moves should be selected (and evaluated) for this step.

### pickMove

    LocalSearchMoveScope pickMove(LocalSearchStepScope stepScope)

  Parameters:
    `stepScope` - never null
  Returns:
    sometimes null, for example if no move is selected

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.2.0.CR1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2014 JBoss by Red Hat. All Rights Reserved.